using System;
using System.Windows;

using BS.Shared;
using BS.Shared.Core;

namespace BeWo.Scheduler.View
{
    public partial class SchedulerStartControl
    {
        public event EventHandler<EventArgs<AppointmentKind>> StartScheduler;

        public SchedulerStartControl()
        {
            InitializeComponent();
        }

        private void ShowResourcesButton_Click(object sender, RoutedEventArgs e)
        {
            if (StartScheduler != null)
                StartScheduler(this, new EventArgs<AppointmentKind>(AppointmentKind.Resource));
        }

        private void ShowEmployeeAbsenceTimes_Click(object sender, RoutedEventArgs e)
        {
            if (StartScheduler != null)
                StartScheduler(this, new EventArgs<AppointmentKind>(AppointmentKind.Employee));
        }

        private void ShowClientAppointmentButton_Click(object sender, RoutedEventArgs e)
        {
            if (StartScheduler != null)
                StartScheduler(this, new EventArgs<AppointmentKind>(AppointmentKind.Customer));
        }

		private void ShowCommonCalendarButton_Click(object sender, RoutedEventArgs e)
	    {
			if (StartScheduler != null)
				StartScheduler(this, new EventArgs<AppointmentKind>(AppointmentKind.CommonCalendar));
	    }
    }
}
